---
title: '<plaintext>: The Plain Text element (Deprecated)'
slug: Web/HTML/Element/plaintext
tags:
  - Element
  - HTML
  - Obsolete
  - Plain text
  - Reference
  - Web
  - plaintext
---
<div>{{Obsolete_header}}</div>

<p><span class="seoSummary">The <em>HTML Plaintext Element</em> (<code>&lt;plaintext&gt;</code>) renders everything following the start tag as raw text, ignoring any following HTML.</span> There is no closing tag, since everything after it is considered raw text.</p>

<div class="note"><strong>Note:</strong> Do not use this element.

<ul>
 <li><code>&lt;plaintext&gt;</code> is deprecated since HTML 2, and not all browsers implemented it. Browsers that did implement it didn't do so consistently.</li>
 <li><code>&lt;plaintext&gt;</code> is obsolete in HTML5; browsers that accept it may instead treat it as a {{HTMLElement("pre")}} element that still interprets HTML within.</li>
 <li>If <code>&lt;plaintext&gt;</code> is the first element on the page (other than any non-displayed elements, like {{HTMLElement("head")}}), do not use HTML at all. Instead serve a text file with the <code>text/plain</code> <a href="/en-US/docs/Learn/Server-side/Configuring_server_MIME_types" title="Properly Configuring Server MIME Types">MIME-type</a>.</li>
 <li>Instead of <code>&lt;plaintext&gt;</code>, use the {{HTMLElement("pre")}} element or, if semantically accurate (such as for inline text), the {{HTMLElement("code")}} element. Escape any <code>&lt;</code>, <code>&gt;</code> and <code>&amp;</code> characters, to prevent browsers inadvertently parsing content the element content as HTML.</li>
 <li>A monospaced font can be applied to any HTML element via a <a href="/en-US/docs/Web/CSS">CSS</a> {{cssxref("font-family")}} style with the <code>monospace</code> generic value.</li>
</ul>
</div>

<h2 id="Attributes">Attributes</h2>

<p>This element has no other attributes than the <a href="/en-US/docs/Web/HTML/Global_attributes" rel="internal" title="HTML/global attributes">global attributes</a> common to all elements.</p>

<h2 id="DOM_interface">DOM interface</h2>

<p>This element implements the {{domxref('HTMLElement')}} interface.</p>

<div class="note">
<p><strong>Implementation note: </strong>In Gecko 1.9.2 and before, Firefox implements the interface {{domxref('HTMLSpanElement')}} for this element.</p>
</div>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.elements.plaintext")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{HTMLElement("pre")}} and {{HTMLElement("code")}} elements, which should be used instead.</li>
 <li>The {{HTMLElement("listing")}} and {{HTMLElement("xmp")}} elements, which are both obsolete elements similar to {{HTMLElement("plaintext")}}.</li>
</ul>

<div>{{HTMLRef}}</div>
